Bug 742125 - Fix log rotation for ovirt.log and brcm-iscsi.log
Summary: Fix log rotation for ovirt.log and brcm-iscsi.log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node
Version: 6.2
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Mike Burns
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 602959
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-29 07:45 UTC by Guohua Ouyang
Modified: 2011-12-06 19:28 UTC (History)
11 users (show)

Fixed In Version: ovirt-node-2.0.2-0.11.gitd5468d8.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 703995
Environment:
Last Closed: 2011-12-06 19:28:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch (672 bytes, patch)
2011-09-29 12:40 UTC, Mike Burns
no flags Details | Diff
Patch (730 bytes, patch)
2011-10-10 12:28 UTC, Mike Burns
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1783 normal SHIPPED_LIVE rhev-hypervisor6 bug fix and enhancement update 2011-12-06 15:10:54 UTC

Comment 1 Guohua Ouyang 2011-09-29 07:48:53 UTC
on rhevh-6.2-0.17.2, the file brcm-iscsi.log is not logrorated.

Comment 3 Mike Burns 2011-09-29 12:40:33 UTC
Created attachment 525554 [details]
Patch

Comment 4 Mike Burns 2011-09-29 12:41:37 UTC
brcm-iscsi will logrotate with same params as ovirt.log.  This will need to be changed if/when brcm-iscsi.log is added to default logrotate configuration

Comment 6 Guohua Ouyang 2011-10-09 07:04:40 UTC
tested on 6.2-20111006, /sbin/brcm-iscsiuio is linked to /sbin/iscsiuio and the log file is /var/log/iscsiuio.log now, need renew the patch then.

# ll /sbin/brcm_iscsiuio 
lrwxrwxrwx. 1 root root 8 2011-10-06 14:44 /sbin/brcm_iscsiuio -> iscsiuio

# ll /sbin/iscsiuio 
-rwxr-xr-x. 1 root root 176072 2011-09-21 08:00 /sbin/iscsiuio

# ll /var/log/brcm*
ls: cannot access /var/log/brcm*: No such file or directory

# ll /var/log/iscsiuio*
-rw-r--r--. 1 root root 11504 2011-10-09 06:47 /var/log/iscsiuio.log
[root@amd-1352-8-5 log]# ll /sbin/brcm_iscsiuio

Comment 7 Alan Pevec 2011-10-09 15:37:38 UTC
This was actually fixed in i-i-utils bug 602959 - iscsiuiolog logrotate rule was added.
So for 6.2 we need to revert ours.

Comment 8 Mike Burns 2011-10-10 12:28:20 UTC
Created attachment 527231 [details]
Patch

Comment 10 Guohua Ouyang 2011-10-13 06:21:15 UTC
tested on 6.2-20111010.2, the /var/log/iscsiuio.log is not rotated and cannot find the iscsiuiolog rule under /etc/logrotate.d/:

# ls /etc/logrotate.d/
dracut    libvirtd.lxc   ovirt-node            syslog   vdsm
libvirtd  libvirtd.qemu  subscription-manager  up2date  vdsm-reg

# ls /etc/cron.d/
0hourly  ovirt-logrotate  rhn-virtualization.cron  vdsm-libvirt-logrotate
raid-check       sysstat

Comment 11 Alan Pevec 2011-10-13 06:45:42 UTC
(In reply to comment #10)
> tested on 6.2-20111010.2, the /var/log/iscsiuio.log is not rotated and cannot
> find the iscsiuiolog rule under /etc/logrotate.d/:

Seems that bug 602959 did not make 6.2 beta compose, could you check it on plain RHEL 6.2 please?

Comment 12 Guohua Ouyang 2011-10-13 07:28:07 UTC
Check on RHEL 6.2 Beta, it still use /sbin/brcm_iscsiuio:
# uname -r
2.6.32-206.el6.i686
# rpm -qa | grep iscsi
iscsi-initiator-utils-6.2.0.872-21.el6.i686
# rpm -ql iscsi-initiator-utils-6.2.0.872-21.el6.i686
/etc/NetworkManager
/etc/NetworkManager/dispatcher.d
/etc/NetworkManager/dispatcher.d/04-iscsi
/etc/iscsi
/etc/iscsi/iscsid.conf
/etc/rc.d/init.d/iscsi
/etc/rc.d/init.d/iscsid
/sbin/brcm_iscsiuio
/sbin/iscsi-iname
/sbin/iscsiadm
/sbin/iscsid
/sbin/iscsistart
/usr/lib/libiscsi.so.0
/usr/lib/python2.6/site-packages/libiscsimodule.so
/usr/share/doc/iscsi-initiator-utils-6.2.0.872
/usr/share/doc/iscsi-initiator-utils-6.2.0.872/README
/usr/share/man/man8/brcm_iscsiuio.8.gz
/usr/share/man/man8/iscsi-iname.8.gz
/usr/share/man/man8/iscsiadm.8.gz
/usr/share/man/man8/iscsid.8.gz
/usr/share/man/man8/iscsistart.8.gz
/var/lib/iscsi
/var/lib/iscsi/ifaces
/var/lib/iscsi/isns
/var/lib/iscsi/nodes
/var/lib/iscsi/send_targets
/var/lib/iscsi/slp
/var/lib/iscsi/static
/var/lock/iscsi

Comment 13 Mike Burns 2011-10-18 13:11:04 UTC
This is fixed -- just need details for how to test.

Comment 16 errata-xmlrpc 2011-12-06 19:28:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1783.html


Note You need to log in before you can comment on or make changes to this bug.